Page MenuHomePhabricator

Duplicate get(): "mediawikiwiki:abusefilter:block-autopromote:xxxx" fetched 3 times
Closed, ResolvedPublic

Description

AbuseFilter fetches keys more than once from Redis triggering warnings.

Duplicate get(): "" fetched {count} times

KeyCount
"mediawikiwiki:abusefilter:block-autopromote"3 times
"mediawikiwiki:abusefilter:stats:total:default"2 times

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterMake negative process caching in onGetAutoPromoteGroups() work
mediawiki/extensions/AbuseFilter : masterAvoid duplicate autopromote block key fetches

Event Timeline

hashar created this task.Apr 26 2016, 7:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 7:14 PM
hashar updated the task description. (Show Details)Apr 26 2016, 7:15 PM

Change 286288 had a related patch set uploaded (by Aaron Schulz):
Avoid duplicate autopromote block key fetches

https://gerrit.wikimedia.org/r/286288

Change 286288 merged by jenkins-bot:
Avoid duplicate autopromote block key fetches

https://gerrit.wikimedia.org/r/286288

Amire80 moved this task from Backlog to Logging on the AbuseFilter board.May 8 2016, 8:57 AM
Amire80 moved this task from Logging to Backlog on the AbuseFilter board.
Amire80 moved this task from Backlog to Internal bugs on the AbuseFilter board.May 8 2016, 9:04 AM

Change 288755 had a related patch set uploaded (by Aaron Schulz):
Make negative process caching in onGetAutoPromoteGroups() work

https://gerrit.wikimedia.org/r/288755

Change 288755 merged by jenkins-bot:
Make negative process caching in onGetAutoPromoteGroups() work

https://gerrit.wikimedia.org/r/288755

matmarex closed this task as Resolved.Jul 15 2016, 9:34 PM
matmarex assigned this task to aaron.
matmarex added a subscriber: matmarex.

No logstash hits for "abusefilter:stats:total:default" or "abusefilter:block-autopromote" in last 24 hours, presumed fixed.

matmarex reopened this task as Open.Jul 15 2016, 10:18 PM

Actually, logstash lied to me, "abusefilter:stats:total:default" is still happening.

aaron removed aaron as the assignee of this task.Jul 17 2016, 3:01 AM
aaron added a subscriber: aaron.
hashar closed this task as Resolved.Nov 25 2016, 9:13 AM
hashar claimed this task.

Over the last 24 hours, I can not find any "Duplicate get()" messages in Logstash nor is there any message for abusefilter:stats:total:default. So I guess AbuseFilter got definitely fixed.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM